GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
alarm_internal.h File Reference
`#include <grpc/support/sync.h>`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Functions
int | grpc_alarm_check (gpr_mu *drop_mu, gpr_timespec now, gpr_timespec *next)
void | grpc_alarm_list_init (gpr_timespec now)
void | grpc_alarm_list_shutdown (void)
gpr_timespec | grpc_alarm_list_next_timeout (void)
void | grpc_kick_poller (void)

## Function Documentation

int grpc_alarm_check | ( | gpr_mu * | drop_mu,
|  | gpr_timespec | now,
|  | gpr_timespec * | next
| ) |  |

void grpc_alarm_list_init | ( | gpr_timespec | now | ) |

gpr_timespec grpc_alarm_list_next_timeout | ( | void |  | ) |

void grpc_alarm_list_shutdown | ( | void |  | ) |

void grpc_kick_poller | ( | void |  | ) |